VME Intensity Monitor - Task #12396

Remove tick-to-usecond conversion in MirrTorDrv
04/25/2016 05:04 PM - Roger Tokarek

Status: Closed Start date: 04/25/2016
Priority: High Due date: 04/26/2016
Assignee: Roger Tokarek % Done: 100%
Category: Engineering Estimated time: 1.00 hour
Target version: Spent time: 1.00 hour
Description

Engineering requests ticks-to-microseconds ADC clock conversion be removed from current calculation (1) in class MirrTorDrv. The
preference is raw returned values be scaled by D80 scaling services.

History

#1 - 04/25/2016 05:39 PM - Roger Tokarek
- % Done changed from 0 to 90

Remove the US_PER_CLOCK_TICK conversion from the following methods.
static const float US_PER_CLOCK_TICK = 8.0 / 1000.0;

void MirrTorDrv::gateWidthCalEnable ( uintl6é_t adcCh, uintl6_t clockCycles )
{

_gateWidthCalEnabled[adcCh] = true;

_gateWidthUS[adcCh] = clockCycles * US_PER_CLOCK_TICK;
}

float MirrTorDrv::gateWidthGet ( uintl6_t adcCh )
{
return _gateWidthCalEnabled[adcCh] ?
_gateWidthUS[adcCh]
ToroidGetReg ( REG_GATE_WIDTH, 2 ) * US_PER_CLOCK_TICK;
}

Compiles with make and refdev.
Copied devvmeint.out (current startup), and pxintstartup as well as libvmeint-201603A, into fe/pxint/archive/25Apr2016.
Waiting on Engineering to implement make development.
#2 - 04/25/2016 05:57 PM - Roger Tokarek
Status:
1. Removed microseconds per tick conversion, now only RAW float data returned.
2. Created fe/pxint/archive/25Apr2016 containing current startup.
3. While working on this also cleaned code of spurious PseudoDev references and pushed to origin.

4. Test compiled with make, refdev.
5. Waiting for request to implement, "make development".

#3 - 04/26/2016 12:51 PM - Roger Tokarek
- Status changed from New to Closed

- % Done changed from 90 to 100

Status:
e Operational, installed at pxint.

e Complete.
e Ticket closed.
